Page MenuHomeFreeBSD

sysutils/kvmclock-kmod: new port
ClosedPublic

Authored by dch on May 25 2021, 8:40 PM.

Details

Summary

Testing version of the new KVMClock driver

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

@dch feel free to commandeer this. I've updated it to our repo, and resolved the issues building on 12.2

mikael added inline comments.
sysutils/kvmclock-kmod/Makefile
11

it should be aarch64 and the list is not alphabetically sorted

dch edited reviewers, added: allanjude; removed: dch.
lwhsu added inline comments.
sysutils/kvmclock-kmod/Makefile
4

Is = ok?

sysutils/kvmclock-kmod/pkg-message
10

I think this pkg-message should be converted to the new format.

dch marked an inline comment as done.May 28 2021, 9:00 AM
This revision was not accepted when it landed; it landed in state Needs Review.May 30 2021, 1:37 PM
This revision was automatically updated to reflect the committed changes.
dch marked 2 inline comments as done.

This also required uidfix to build cleanly outside of poudriere

sysutils/kvmclock-kmod/Makefile
4

not sure what you mean here - I can remove the ? but not the =. I assume the latter.